DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Attributes | List of all members
dcmtk::log4cplus::DiagnosticContext Struct Reference

This is the internal object that is stored on the NDC stack. More...

## Public Attributes
log4cplus::tstring | message
log4cplus::tstring | fullMessage

## Detailed Description

This is the internal object that is stored on the NDC stack.

## Member Data Documentation

## ◆ fullMessage

log4cplus::tstring dcmtk::log4cplus::DiagnosticContext::fullMessage

The entire message stack.

## ◆ message

log4cplus::tstring dcmtk::log4cplus::DiagnosticContext::message

The message at this context level.

The documentation for this struct was generated from the following file:

- oflog/include/dcmtk/oflog/ndc.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2